Create Static Address
This endpoint creates a new static deposit address strictly assigned to a user by internal_user_id AND/OR email.
/api/addresses/v1/static-depositsAuth: RequiredRequest Body
internal_user_idstringRequiredA unique user ID to which the address will be assigned. If a request is made with an existing ID, the corresponding user and their deposit address will be returned.
assetstringRequiredThe asset for which the address will be created. Values: usdt, usdc, btc, eth, sol, ton, bnb, ltc, trx, bch.
networkstringRequiredThe network for which the address will be created. Should correspond to the asset parameter value (see mapping below).
Asset + Network Mapping
| Asset | Network values |
|---|---|
btc, eth, sol, ton, bnb, ltc, trx, bch | same as asset (e.g., btc → btc) |
usdt | trc20usdt, usdterc20, solusdt, bep20usdt |
usdc | usdc, solusdc, bep20usdc |
Response
idstringAddress identifier.
internal_user_idstringUnique internal user ID provided within the address-creation request.
addressstringStatic deposit address value for the provided user ID and/or email, asset, and network.
assetstringAddress asset name.
networkstringAddress network name.
emailstring | nullUser's email address. null if not provided within the request.
tagstringTON onlyAddress tag for TON-asset addresses. Won't be returned for any other asset.